
textures/WildCat/water
{
 	qer_editorimage textures/WildCat/water.tga
        qer_trans 0.5
        q3map_globaltexture
 	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
 	surfaceparm noimpact
 	surfaceparm nolightmap
 	surfaceparm nomarks
 	surfaceparm nodlight
        surfaceparm water

        cull disable
 	nopicmip
       {
           map textures/WildCat/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 0.5 0.5
 	    tcMod turb 0.1 0.1 0.1 0.1
       }
       {
           map textures/WildCat/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scroll 0.05 -0.01
       }
       {
           map textures/WildCat/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 2 2
 	   tcMod turb 0 0.1 1 0.1
       }
 
}

textures/WildCat/water2
{
	qer_editorimage textures/WildCat/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water

        cull disable
	nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/WildCat/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 0.1
        }
        {
            map textures/WildCat/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll 0.05 -0.01
        }
        {
            map textures/WildCat/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 0.1
        }

}
textures/WildCat/slime
{
	qer_editorimage textures/WildCat/slime7.tga
	q3map_lightimage textures/WildCat/slime7.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 1000
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/WildCat/slime7c.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/WildCat/slime7.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/WildCat/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/WildCat/lava
{
	qer_editorimage	textures/WildCat/lava.tga
        q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2500
	q3map_lightRGB 0.81 0.28 0.15
        qer_trans 0.5

        surfaceparm trans
	surfaceparm nolightmap
        surfaceparm lava 
        cull disable			 //Light goes under the lava with this O_o
	fogparms ( 0.94 0.50 0.16 ) 512
	{
		map textures/WildCat/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/WildCat/lava_glow.tga
		blendFunc add
		rgbGen wave sin 0 1 1 0.2
		alphaGen wave sin 0 1 0.4 0.2
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/WildCat/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}
textures/WildCat/lava2
{
	qer_editorimage	textures/WildCat/lava.tga
        q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2500
	q3map_lightRGB 0.81 0.28 0.15
        qer_trans 0.5

        surfaceparm trans
	surfaceparm nolightmap
        surfaceparm lava 
        cull disable			 //Light goes under the lava with this O_o
	fogparms ( 0.94 0.50 0.16 ) 512
	{
		map textures/WildCat/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/WildCat/lava_glow.tga
		blendFunc add
		rgbGen wave sin 0 1 1 0.2
		alphaGen wave sin 0 1 0.4 0.2
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/WildCat/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}
textures/WildCat/watercaulk
{
	qer_editorimage textures/WildCat/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/WildCat/slimecaulk
{
	qer_editorimage textures/WildCat/slimecaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm slime
}
textures/WildCat/lavacaulk
{
	qer_editorimage textures/WildCat/lavacaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm lava
}


textures/WildCat/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/WildCat/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/WildCat/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/WildCat/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/WildCat/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/WildCat/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}


// never used
//
//textures/WildCat/energypad
//{
//	qer_editorimage textures/sfx/bluegoal.tga
//	surfaceparm nolightmap
//	cull twosided
//	{
//		map textures//bluegoal.tga
//		blendFunc GL_ONE GL_SRC_ALPHA
//		tcGen environment
//		tcMod turb 0 0.25 0 0.05
//	}
//}

textures/WildCat/full_clip 
// silly shader, use weapclip instead

{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}


textures/WildCat/hint
 // should NOT use surfaceparm hint.. strange but true

{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}

textures/WildCat/invisible // solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap			
        {
                map textures/WildCat/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/WildCat/mirror1
{
	qer_editorimage textures/WildCat/mirror1.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/WildCat/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
       
        

}

textures/WildCat/mirror2
{
	qer_editorimage textures/WildCat/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/WildCat/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/sfx/mirror.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}

textures/WildCat/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}

textures/WildCat/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/WildCat/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/WildCat/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}


textures/WildCat/noimpact
{
	qer_editorimage textures/WildCat/nolightmap.tga
	surfaceparm noimpact
}

textures/WildCat/nolightmap
{
	surfaceparm nolightmap
}

textures/WildCat/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/WildCat/portal
{
	qer_editorimage textures/WildCat/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/WildCat/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}

textures/WildCat/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/WildCat/terrain
{
	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/WildCat/terrain2
{
	q3map_terrain
	qer_editorimage textures/WildCat/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/WildCat/timportal
{
	qer_editorimage textures/WildCat/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/WildCat/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}

textures/WildCat/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/WildCat/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/WildCat/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/WildCat/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

//
// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//

textures/WildCat/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}



//============================================================================
// nodraw ladder - use on brushes wrapping objects to be climbed
//============================================================================

textures/wildcat/ladderclip
{
        qer_editorimage textures/wildcat/ladder-rad.tga
        qer_trans 0.50
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}